--- unix/posix_thread_os_hnd.c.orig	2017-12-21 12:55:45.000000000 -0600
+++ unix/posix_thread_os_hnd.c	2017-12-21 13:11:58.000000000 -0600
@@ -479,11 +479,14 @@
     if (rv)
 	return rv;
 
+#ifndef __APPLE__
+    /* Not supported on OSX */
     rv = pthread_condattr_setclock(&attr, CLOCK_MONOTONIC);
     if (rv) {
 	pthread_condattr_destroy(&attr);
 	return rv;
     }
+#endif
 
     cond = malloc(sizeof(*cond));
     if (!cond) {
@@ -536,7 +539,12 @@
     struct timeval  now;
     int             rv;
 
+#ifdef __APPLE__
+    /* OSX pthread_cond_timedwait() is based on REALTIME */
+    rv = handler->get_real_time(handler, &now);
+#else
     rv = handler->get_monotonic_time(handler, &now);
+#endif
     if (rv)
 	return rv;
 
